Skip to main content

Get LDAP configuration

Get LDAP configuration API will return the info that match the given parameters

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL for SSMS​

GET https://{tenantId}.{hostname}/digitanium/v4/ldap/{componentId}

HTTP request URL for SHIFT​

GET https://{hostname}/auth/realms/{tenantId}/v3_ldap/components/{componentId}
note

At this moment, this API is applicable for SSMS based installations.

note

API requests must be made over https. Calls made over plain http will fail.

Parameters​

No parameter fields are required.

Request body​

No request body fields are required.

Response​

Field NameTypeDescription
messageStringMessage explains result of the API call. Refer Response status Information for details.
statusStringThe status of the API call. Refer Response status Information for details.
subSystemIntegersubSystem categorizes the type of API that has been called. Refer Subsystem details for details.
dataListList of LDAP components available based on query

Sample Response​

{
"message": "Success",
"status": "OK",
"subSystem": 9,
"data": {
"id": "ldap-config-id1",
"name": "ldap1",
"providerId": "ldap",
"providerType": "org.keycloak.storage.UserStorageProvider",
"parentId": "demokc",
"config": {
"fullSyncPeriod": [
"-1"
],
"pagination": [
"true"
],
"connectionPooling": [
"true"
],
"bindDn": [
"cn=admin,dc=ldapconfi,dc=com"
],
"usernameLDAPAttribute": [
"uid1"
],
"bindCredential": [
"**********"
],
"lastSync": [
"1562743215"
],
"vendor": [
"other"
],
"uuidLDAPAttribute": [
"entryUUID"
],
"allowKerberosAuthentication": [
"false"
],
"connectionUrl": [
"ldap://52.210.11.165"
],
"syncRegistrations": [
"false"
],
"authType": [
"simple"
],
"userObjectClasses": [
"inetOrgPerson, organizationalPerson"
],
"rdnLDAPAttribute": [
"uid"
],
"editMode": [
"WRITABLE"
],
"validatePasswordPolicy": [
"false"
],
"batchSizeForSync": [
"1000"
]
}
}
}

Response Status Information​

Status CodeStatusMessage
200OKSuccess
400BAD_REQUESTComponent Not found
401UnauthorizedHTTP 401 Unauthorized